﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.ScrollAxis;
using Syncfusion.UI.Xaml.Grid;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfDataGridDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

           
            this.datagrid.SelectionChanged += datagrid_SelectionChanged;
        }

        void datagrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count < 1 || e.RemovedItems.Count < 1)
                return;
            if((e.AddedItems[0] as GridCellInfo).RowIndex > (e.RemovedItems[0] as GridCellInfo).RowIndex)
            {
                var ch = this.datagrid.SelectionController.CurrentCellManager.CurrentRowColumnIndex;
                this.datagrid.MoveCurrentCell(new RowColumnIndex(ch.RowIndex + 1, ch.ColumnIndex));
                this.datagrid.CollapseAllDetailsView();

            }
        }

      

        
    }  
}
